[android-components](../../index.md) / [mozilla.components.browser.storage.sync](../index.md) / [RemoteTabsStorage](index.md) / [getAll](./get-all.md)

# getAll

`suspend fun getAll(): `[`Map`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-map/index.html)`<`[`SyncClient`](../-sync-client/index.md)`, `[`List`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)`<`[`Tab`](../-tab/index.md)`>>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/storage-sync/src/main/java/mozilla/components/browser/storage/sync/RemoteTabsStorage.kt#L53)

Get all remote devices tabs.

**Return**
A mapping of opened tabs per device.

